#!/bin/sh

# To run the executable, you need the Mono runtime installed:
#     sudo apt-get install mono-runtime
# Try running the executable via Mono if it refuses to run on it's own:
#     mono Executable.exe
#
# To compile the executable yourself, you need the Mono compiler installed:
#     sudo apt-get install mono-complete

NAME=Tilemaker
SRC="Sources (C# with .NET 1.1)"
RES="$SRC/Glow.${NAME}Form.resources"
EXE="${NAME}.Mono.exe"

resgen "$SRC/${NAME}Form.resx" "$RES"
mcs "$SRC/${NAME}Form.cs" -r:System.Drawing -r:System.Windows.Forms -res:"$RES" -win32icon:"$SRC/Glow.ico" -out:"$EXE"
rm "$RES"
chmod a+x "$EXE"
